<div class="fieldset-legend">
    <p-accordion class="filter-accordion">
        <p-accordionTab header="Filter" [selected]="false">
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-control-label">Tanggal Pengajuan</label>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="input-group input-calendar">
                                    <p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="input-group input-calendar">
                                    <p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label>Status</label>
                        <select class="form-control" id="field_statusType" name="statusType">
							<option [ngValue]="null"></option>
							<option [ngValue]="statusTypeOption.idStatusType" *ngFor="let statusTypeOption of statusTypes; trackBy: trackStatusTypeById">{{statusTypeOption.description}}</option>
						</select>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label>Market Name</label>
                        <select class="form-control" id="field_marketName" name="sales">
							<option [ngValue]="null"></option>
							<option [ngValue]="motorOption.idProduct" *ngFor="let motorOption of motors; trackBy: trackMotorById">{{motorOption.name}}</option>
						</select>
                    </div>
                </div>
            </div>
            <div class="btn-filter-wrapper">
                <button type="button" class="btn btn-primary btn-filter">
					<span>Filter</span>
				</button>
            </div>
        </p-accordionTab>
    </p-accordion>
    <form name="searchForm" class="form-inline">
        <div class="input-group w-100 mt-3">
            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                name="currentSearch" placeholder="{{ 'mpmApp.vehicleDocumentRequirement.home.faktur' | translate }}">
            <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                <span class="fa fa-search"></span>
            </button>
            <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                <span class="fa fa-trash-o"></span>
            </button>
            <button pButton type="submit"
                icon="fa-th-list"
                class="ui-button-primary btn-sm"
                (click)="buildReindex()">
        </button>
        <!-- *jhiHasAnyAuthority="['ROLE_ADMIN']"> -->
        </div>
    </form>
    <div class="col-md-12" style="overflow:auto">
        <div class="pull-right">
            <div style="margin-bottom: 10px;">
                <button pButton type="button" class="ui-button-primary btn-sm" label="Cancel" (click)="cancelFaktur()" [disabled]="selected?.length == 0"></button>
                </button>
            </div>
        </div>
    </div>
    <p-dataTable [value]="customVehicleDocumentRequirement" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true" dataKey="idRequirement" expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)" (onEditComplete)="updateRowData($event)" [(selection)]="selected">
        <p-header>
            <div class="row"></div>
        </p-header>
        <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'mpmApp.requirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="No. Pengajuan">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.registrationNumber}}
            </ng-template>
        </p-column>
        <p-column header="Tgl Pengajuan">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dateFillName}}
            </ng-template>
        </p-column>
        <p-column header="No. IVU">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.ivuNumber}}
                <!-- {{rowData.dateCreate | date:'dd-MM-yyyy HH:mm:ss'}} -->
            </ng-template>
        </p-column>
        <p-column header="No. Rangka">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.idFrame}}
            </ng-template>
        </p-column>
        <p-column header="No. Mesin">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.idMachine}}
            </ng-template>
        </p-column>
        <p-column header="No. VSO">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.vsoNumber}}
                <!-- {{rowData.salesUnitRequirement.requirementNumber}} -->
            </ng-template>
        </p-column>
        <p-column header="Nama STNK">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.name}}
            </ng-template>
        </p-column>
        <p-column header="Note">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.note}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.requirement.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <a [routerLink]="['../isi-nama/detail/'+ rowData.idRequirement +'/'+ rowData.idOrder]">Detail</a>
                <!-- <a (click)="cancelFaktur()">Cancel</a> -->
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>

<p-dialog header="Konfirmasi" [(visible)]="cancelModal" modal="true" [width]="700">
    <div class="row">
        <div class="col-sm-12">
            <p>Apakah file CDDB & UDSTK sudah diupload ke Portal</p>

            <form name="editForm" role="form" novalidate #editForm="ngForm">
                <input type="hidden" class="form-control" id="idRequirement" name="idRequirement" [(ngModel)]="vehicleDocumentRequirement.idRequirement" />

                <button class="btn btn-primary" (click)="cancelDataIVU()">Ya</button>
                <button class="btn btn-primary" (click)="cancelDataPengajuan()">Tidak</button>
            </form>
        </div>
    </div>
</p-dialog>

<p-confirmDialog></p-confirmDialog>